LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-24-2010, 05:42 AM   #1
EAI
Member
 
Registered: Jun 2010
Posts: 34

Rep: Reputation: 15
iriverter


Hi

Loaded iriverter through automatic Ubuntu Software Centre, it is listed under Applications Sound and Video but it will not activate or load when I click on it.

The site saids that adobe is required but I have adobe loaded.

Thanks EAI
 
Old 06-25-2010, 06:58 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..
 
0 members found this post helpful.
Old 06-25-2010, 07:09 AM   #3
halvy
Member
 
Registered: Aug 2005
Location: Anchorage, Alaska (soon EU, hopefully)
Distribution: Anything NOT SystemD (ie. M$) related.
Posts: 918

Rep: Reputation: 41
Have you tried hunting it down and opening up directly... if so, then recreate a link to your desktop or whatever temporarily while you figure out why it is a problem in your menu.

You should be able to edit your menu directly.. and there may also be another way (eg. gconf?, etc.)
 
0 members found this post helpful.
Old 06-26-2010, 04:47 AM   #4
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
Irvirter

I am using Ubuntu 10.04 LTS, I have loaded this version on two other machines without any problems, this version was only downloaded just a week ago and finding all sorts of problems, printer drivers etc, were the same version loaded onto two other machines work fine and auto detected the drivers, but this time a lot of packages are not working.












Quote:
Originally Posted by knudfl View Post
'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..
 
Old 06-26-2010, 05:09 AM   #5
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
iriverter

I downloaded the original version from the website which was only about 200k, strange, the other version looks better which is 1.6meg.

Still can to get it to work, I will reload ubuntu 10.04 again.











Quote:
Originally Posted by knudfl View Post
'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..
 
Old 06-26-2010, 05:19 AM   #6
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
Iriverter

The commands below on terminal said,

"Press enter to keep the current choice[*], or type selection number: 3
update-alternatives: using /usr/lib/jvm/java-6-sun/jre/bin/java to provide /usr/bin/java (java) in manual mode.
sgu@sgu-desktop:~$ iriverter-0.16-i486-3lu.tgz
iriverter-0.16-i486-3lu.tgz: command not found
sgu@sgu-desktop:~$ sudo alien iriverter-0.16-i486-3lu.tgz
sudo: alien: command not found
sgu@sgu-desktop:~$ iriverter-0.16-i486-3lu.tgz
iriverter-0.16-i486-3lu.tgz: command not found
sgu@sgu-desktop:~$ "





This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>











Quote:
Originally Posted by EAI View Post
I downloaded the original version from the website which was only about 200k, strange, the other version looks better which is 1.6meg.

Still can to get it to work, I will reload ubuntu 10.04 again.
 
Old 06-26-2010, 05:54 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
""sgu@sgu-desktop:~$ iriverter-0.16-i486-3lu.tgz"" :
This is not a valid command. You cannot execute a package.

Missing alien : sudo apt-get install alien

And you will not get the Ubuntu iriverter version to work, I think.
A reinstall will do no difference.
..

Last edited by knudfl; 06-26-2010 at 05:56 AM.
 
0 members found this post helpful.
Old 06-26-2010, 11:21 AM   #8
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
iriverter

Which one do I choice 0,1,2,3 ????






desktop:~$ sudo update-alternatives --config java
There are 3 choices for the alternative java (providing /usr/bin/java).

Selection Path Priority Status
------------------------------------------------------------
0 /usr/lib/jvm/java-6-openjdk/jre/bin/java 1061 auto mode
1 /usr/bin/gij-4.4 1044 manual mode
2 /usr/lib/jvm/java-6-openjdk/jre/bin/java 1061 manual mode
* 3 /usr/lib/jvm/java-6-sun/jre/bin/java 63 manual mode

Press enter to keep the current choice[*], or type selection number: 3
sgu@sgu-desktop:~$ 3
3: command not found
Quote:
Originally Posted by knudfl View Post
'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..
 
Old 06-26-2010, 11:26 AM   #9
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
Iriverter

Keeps on saying iriverter command not found








desktop:~$ sudo dpkg -i <package>
bash: syntax error near unexpected token `newline'
sgu@sgu-desktop:~$ sudo alien iriverter-0.16-i486-3lu.tgz
sudo: alien: command not found
desktop:~$ sudo dpkg -i <package>
bash: syntax error near unexpected token `newline'
sgu@sgu-desktop:~$ sudo alien iriverter-0.16-i486-3lu.tgz
sudo: alien: command not found
QUOTE=knudfl;4014586]'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.







The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..[/QUOTE]
 
Old 06-26-2010, 11:27 AM   #10
halvy
Member
 
Registered: Aug 2005
Location: Anchorage, Alaska (soon EU, hopefully)
Distribution: Anything NOT SystemD (ie. M$) related.
Posts: 918

Rep: Reputation: 41
I'd use java-6-openjdk (0) unless you have a reason to use Sun's or another..

I've just found it to be more compatible with Linux programs that require Java.
 
0 members found this post helpful.
Old 06-26-2010, 11:40 AM   #11
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
iriverter

On two PCs I have loaded iriverter some time ago and works fine, the last recent download of ubuntu 10.04 just click on the application and its trying to start but nothing happens and just disappears.


I found the instructions you gave us frustrating, they are not clear, when you gave this instruction what did you mean, install through terminal,

"This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>"

I tried that and just got bad command issues has I presented earlier.

This is to complex and I can not understand why it is working on other pcs and not the recent, have they changed the program in the last couple of weeks, the pc that it was loaded onto has not been tanmpered with in any way, so I can not understand why it dose not work and dose on the other machines, a good program when it is working but highly frustrating when it is not.

"Your instructions are not clear, the java download shows three options.

Thanks EAI








QUOTE=knudfl;4014586]'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..[/QUOTE]
 
Old 06-26-2010, 12:22 PM   #12
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
iriverter

I have just run ubuntu 10.04 of the memory stick as a live cd type set up and loaded iriverter and it dose no work, I have used this method with previous ubuntu platforms and not a problem, but now for sum reason it dose not work.

iriverter download dose not work.

EAI












Quote:
Originally Posted by knudfl View Post
'iriverter' looks OK. Which Ubuntu ?
http://www.linuxquestions.org/linux/...Ask_a_Question
It is a good idea to describe the OS every time
you ask a question. Name and version, please.

The gcc "gcj java" isn't working in Ubuntu 10.04.
You will need the genuine sun java :
http://ubuntuforums.org/showthread.php?t=1486951
After install, check that it is configured :
'sudo update-alternatives --config java'
... and choose sun.

And next remove the installed 'iriverter' package.

This package depends on and works with sun java :
http://repository.slacky.eu/slackwar...6-i486-3lu.tgz
> iriverter-0.16-i486-3lu.tgz
'sudo alien iriverter-0.16-i486-3lu.tgz'
will covert it to a .deb package to be installed with
sudo dpkg -i <package>

No "adobe" is required ... ..
http://www.google.com/search?hl=en&d...C&ved=0CBYQkAE
..
 
Old 06-26-2010, 12:26 PM   #13
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Please do not repeatedly quote post # 2. ( Six times is overkill.)
... and please hit the edit buttons and remove the quoted text.
All that text is just hiding your own text.


There can be a very obvious reason for iriveter not to work
on the latest install : The gcc-java / libgcj9* has probably
been updated : On the two other older installs, you may have
an ealier version. And as iriveter has a lower priority,
it has not yet been updated to work with that new libgcj9*.
Ubuntu 10.04 is new, wait another 6 months, then things
will fit much better together.
Quote:
0 /usr/lib/jvm/java-6-openjdk/jre/bin/java 1061 auto mode
1 /usr/bin/gij-4.4 1044 manual mode
2 /usr/lib/jvm/java-6-openjdk/jre/bin/java 1061 manual mode
* 3 /usr/lib/jvm/java-6-sun/jre/bin/java 63 manual mode
'sun' is configured → → just hit <ENTER>.
.....

sudo dpkg -i <package>
This means : replace with actual package name !
= The alien converted package suffix .deb .
I.e.: sudo dpkg -i iriverter_0.16-2_all.deb
.....

Last edited by knudfl; 06-26-2010 at 01:18 PM.
 
1 members found this post helpful.
Old 06-27-2010, 02:18 AM   #14
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
I tried what was suggested "sudo dpkg -i iriverter_0.16-2_all.deb" and just came up with errors.

I also tried tar.gz install also encountered problems.

EAI



sgu@sgu-desktop:~$ sudo dpkg -i iriverter_0.16-2_all.deb
[sudo] password for sgu:
dpkg: error processing iriverter_0.16-2_all.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
iriverter_0.16-2_all.deb
sgu@sgu-desktop:~$ sudo dpkg -i iriverter_0.16.orig.tar.gz
dpkg-deb: `iriverter_0.16.orig.tar.gz' is not a debian format archive
dpkg: error processing iriverter_0.16.orig.tar.gz (--install):
subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
iriverter_0.16.orig.tar.gz
sgu@sgu-desktop:~$
 
Old 06-27-2010, 03:31 AM   #15
EAI
Member
 
Registered: Jun 2010
Posts: 34

Original Poster
Rep: Reputation: 15
The site I was told to download was this "iriverter-0.16-i486-3lu.tgz" but the file thats was downloaded was this iriverter_0.16.orig.tar.gz

I think that is why the commands for terminal are not working.

Thanks EAI
 
  


Reply

Tags
sun java6, sun java6 jdk


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Iriverter - Cannot Locate mplayer jimmy512 Linux - Software 4 07-19-2007 07:04 AM
´Exception in thread´ error when running Iriverter (java) JungMin Programming 3 12-10-2005 02:29 AM
iriverter compile problem on suse, iaudio x5 video krisealv Linux - Hardware 12 12-09-2005 12:50 AM


All times are GMT -5. The time now is 10:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration